Bug 285897 - Picture shape does not obey dragged frame size and location
Summary: Picture shape does not obey dragged frame size and location
Status: RESOLVED FIXED
Alias: None
Product: calligracommon
Classification: Unclassified
Component: flake-picture (show other bugs)
Version: 2.4-snapshots
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Calligra Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-11-06 13:53 UTC by Hans Bakker
Modified: 2012-05-01 23:01 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Hans Bakker 2011-11-06 13:53:24 UTC
Version:           2.4-snapshots (using KDE 4.7.2) 
OS:                Linux

Using calligrawords 2.4-beta3 (from Paulo Dias' PPA) on Kubuntu 11.10

The picture shape becomes the full size of the picture file, not the size that was selected when creating the picture shape.

Reproducible: Didn't try

Steps to Reproduce:
Click "Picture shape" in the "Add Shape"-docker
Drag a frame (user will think that he is defining the size and location).
"Open file"-dialog asks which picture should be in the frame.


Actual Results:  
Frame becomes the full size of the picture source file and moves off the page

Expected Results:  
Picture should fit in the dragged frame
Comment 1 Camilla Boemann 2011-11-06 14:14:38 UTC
thanks
Comment 2 Halla Rempt 2012-04-16 14:21:23 UTC
Confirmed
Comment 3 Sven Langkamp 2012-05-01 23:01:15 UTC
Git commit c896269fdd3a0abdfe022cb24205106d0baf8a63 by Sven Langkamp.
Committed on 02/05/2012 at 00:59.
Pushed by langkamp into branch 'master'.

don't change the size of the pictureshape when inserted or replaced

M  +0    -12   plugins/pictureshape/ChangeImageCommand.cpp
M  +0    -2    plugins/pictureshape/ChangeImageCommand.h
M  +0    -1    plugins/pictureshape/PictureShapeConfigWidget.cpp

http://commits.kde.org/calligra/c896269fdd3a0abdfe022cb24205106d0baf8a63